
#' bind_cols_fts

#' bind_cols_fts
#' @param ... friendlyts data.frame
#' @param precision precision
#' @param CHECKNAS CHECKNAS
#' @keywords friendlyts
#' @export
#' @examples
#' \dontrun{
#' bind_cols_fts()
#' }
bind_cols_fts <- function(...,precision,CHECKNAS=TRUE){

  dataset <- list(...)
  test <- lapply(dataset,function(x) inherits(x,"tbl_friendlyts"))
  test <- prod(unlist(test))
  if (test==1) {
    icol <- get_date_col(precision=precision)
    res <- dplyr::bind_cols(lapply(dataset,function(x){
      res <- x[,-icol]
      return(res)
    }))
    res <- dplyr::bind_cols(dataset[[1]][,icol],res)
    res <- as_tbl_friendlyts(df = res, date_type="friendlyts", precision=precision,CHECKNAS=CHECKNAS)
  } else stop("Both datasets must be of class tbl_friendlyts")

  return(res)

}
