
#' yymmdd_hhmmss
#'
#' yymmdd_hhmmss
#' @param date_chr date
#' @param ISO8601 boolean
#' @keywords timemanip
#' @export
#' @examples
#' \dontrun{
#' yymmdd_hhmmss()
#' }
yymmdd_hhmmss <- function(date_chr,ISO8601=FALSE){
  if (ISO8601) {
      res <- as.POSIXlt(strptime(date_chr,"%Y-%m-%dT%H:%M:%OSZ",tz="UTC"))
  } else if (!ISO8601){
      res <- as.POSIXlt(strptime(date_chr,"%Y/%m/%d %H:%M:%S",tz="UTC"))
  }
  return(res)
}
