#' contain
#'
#' contain
#'
#' @param ts POSIXlt timeserie
#' @param ts_sub POSIXlt sub timeserie
#' @keywords timemanip
#' @export
#' @examples
#' \dontrun{
#' contain()
#' }
contain  <- function(ts,ts_sub){

  ind_sub  <- indice_sub(ts=ts,ts_sub=ts_sub)
  ind_main <- indice_main(ts=ts,ts_sub=ts_sub,ind_sub=ind_sub)
  return(list(indice_sub=ind_sub,indice_main=ind_main))
}

indice_sub <- function(ts,ts_sub){
  ind_sub <- NULL
  ind_sub <- which( (ts_sub >= ts[1]) & (ts_sub <= ts[length(ts)]))
  return(ind_sub)
}

indice_main <- function(ts,ts_sub,ind_sub=NULL){
  ind_main <- NULL
  if (!is.null(ind_sub)) {
    ind_main <- which( (ts >= ts_sub[ind_sub[1]]) & (ts <= ts_sub[ind_sub[length(ind_sub)]]))
  }
  return(ind_main)
}
